## Name

cross — calculate the cross product of two vectors

## Declaration

`vec3 cross(` | vec3 x,
| vec3 y`)`;

`dvec3 cross(` | dvec3 x,
| dvec3 y`)`;

## Parameters

`x`

  Specifies the first of two vectors

`y`

  Specifies the second of two vectors

## Description

`cross` returns the cross product of two vectors, `x` and `y`. i.e.,

x [ 1 ] ⋅ y [ 2 ] − y [ 1 ] ⋅ x [ 2 ] x [ 2 ] ⋅ y [ 0 ] − y [ 2 ] ⋅ x [ 0 ] x [ 0 ] ⋅ y [ 1 ] − y [ 0 ] ⋅ x [ 1 ]

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
cross (vec3) | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
cross (dvec3) | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

dot

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.